Loading...
Searching...
No Matches
gtsam::Basis< DERIVED > Class Template Reference
Basis

## Detailed Description

template<typename DERIVED>
class gtsam::Basis< DERIVED >

CRTP Base class for function bases.

## Static Public Member Functions

static Matrix | WeightMatrix (size_t N, const Vector &X)
| Calculate weights for all x in vector X.
static Matrix | WeightMatrix (size_t N, const Vector &X, double a, double b)
| Calculate weights for all x in vector X, with interval [a,b].

## Classes

class | EvaluationFunctor
| An instance of an EvaluationFunctor calculates f(x;p) at a given x, applied to Parameters p. More...
class | VectorEvaluationFunctor
| VectorEvaluationFunctor at a given x, applied to ParameterMatrix<M>. More...
class | VectorComponentFunctor
| Given a M*N Matrix of M-vectors at N polynomial points, an instance of VectorComponentFunctor computes the N-vector value for a specific row component of the M-vectors at all the polynomial points. More...
class | ManifoldEvaluationFunctor
| Manifold EvaluationFunctor at a given x, applied to ParameterMatrix<M>. More...
class | DerivativeFunctorBase
| Base class for functors below that calculate derivative weights. More...
class | DerivativeFunctor
| An instance of a DerivativeFunctor calculates f'(x;p) at a given x, applied to Parameters p. More...
class | VectorDerivativeFunctor
| VectorDerivativeFunctor at a given x, applied to ParameterMatrix<M>. More...
class | ComponentDerivativeFunctor
| Given a M*N Matrix of M-vectors at N polynomial points, an instance of ComponentDerivativeFunctor computes the N-vector derivative for a specific row component of the M-vectors at all the polynomial points. More...

## Member Function Documentation

## WeightMatrix() [1/2]

template<typename DERIVED>

Matrix gtsam::Basis< DERIVED >::WeightMatrix | ( | size_t | N,
|  | const Vector & | X )

inline static

Calculate weights for all x in vector X.

Returns M*N matrix where M is the size of the vector X, and N is the number of basis functions.

## WeightMatrix() [2/2]

template<typename DERIVED>

Matrix gtsam::Basis< DERIVED >::WeightMatrix | ( | size_t | N,
|  | const Vector & | X,
|  | double | a,
|  | double | b )

inline static

Calculate weights for all x in vector X, with interval [a,b].

Parameters

  N | The number of basis functions.
  X | The vector for which to compute the weights.
  a | The lower bound for the interval range.
  b | The upper bound for the interval range.

Returns
  Returns M*N matrix where M is the size of the vector X.

The documentation for this class was generated from the following file:

- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/basis/Basis.h